Get user group list
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Get the user group list through user ID, and you can choose to specify the user ID type, etc.
Method name
ManagementClient.getUserGroups
Request parameters
| Name | Type | Required | Default value | Description | Sample value | | ---------- | ------ | -------------------------------------- | ------------------------------------ | ---------------------------- ... | 6229ffaxxxxxxxxcade3e3d9 | | userIdType | string | No | user_id | User ID type, the default value is user_id, the optional values are:
- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7
- phone: User phone number
- email: User email
- username: User name
- external_id: User ID in the external system, corresponding to the externalId field of GenAuth user information
- identity: User's external identity source information, the format is <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the ID of the user in the external identity source.
Example value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
- sync_relation: The user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the synchronization identity source type, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.
Example value: lark:ou_8bae746eac07cd2564654140d2a9ac61.
| user_id |
Sample code
import { ManagementClient, Models } from "authing-node-sdk";
// Initialize ManagementClient
const managementClient = new ManagementClient({
// Need to be replaced with your GenAuth Access Key ID
accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
// Need to be replaced with your GenAuth Access Key Secret
accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
// If it is a private deployment customer, you need to set the GenAuth service domain name
// host: 'https://api.your-authing-service.com'
});
(async () => {
const result = await managementClient.getUserGroups({
// Replace user ID
userId: "6229ffaxxxxxxxxcade3e3d9",
userIdType: "user_id",
});
console.log(JSON.stringify(result, null, 2));
})();Request response
Type: GroupPaginatedRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a GroupPagingDto | Response data |
Sample result:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"list": {
"id": "60b49eb83fd80adb96f26e68",
"code": "developer",
"name": "Developer",
"description": "Description content",
"type": "static",
"members": {
"userId": "6229ffaxxxxxxxxcade3e3d9",
"createdAt": "2022-07-03T03:20:30.000Z",
"updatedAt": "2022-07-03T03:20:30.000Z",
"status": "Activated",
"workStatus": "Active",
"externalId": "10010",
"email": "test@example.com",
"phone": "188xxxx8888",
"phoneCountryCode": "+86",
"username": "bob",
"name": "Zhang San",
"nickname": "xxxx",
"photo": "https://files.authing.co/authing-console/default-user-avatar.png",
"loginsCount": 3,
"lastLogin": "2022-07-03T03:20:30.000Z",
"lastIp": "127.0.0.1",
"gender": "M",
"emailVerified": true,
"phoneVerified": true,
"passwordLastSetAt": "2022-07-03T03:20:30.000Z",
"birthdate": "2022-06-03",
"country": "CN",
"province": "BJ",
"city": "BJ",
"address": "Beijing Chaoyang",
"streetAddress": "Beijing Chaoyang District xxx Street",
"postalCode": "438100",
"company": "steamory",
"browser": "Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0",
"device": "iOS",
"givenName": "xx",
"familyName": "xx",
"middleName": "James",
"profile": "alice",
"preferredUsername": "alice",
"website": "https://my-website.com",
"zoneinfo": "GMT-08:00",
"locale": "af",
"formatted": "132, My Street, Kingston, New York 12401.",
"region": "Xinjiang Uyghur Autonomous Region",
"userSourceType": "register",
"passwordSecurityLevel": 1,
"departmentIds": "[\"624d930c3xxxx5c08dd4986e\",\"624d93102xxxx012f33cd2fe\"]",
"identities": {
"identityId": "62299d8b866d2dab79a89dc4",
"extIdpId": "6076bacxxxxxxxxd80d993b5",
"provider": "wechat",
"type": "openid",
"userIdInIdp": "oj7Nq05R-RRaqak0_YlMLnnIwsvg",
"accessToken": "57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx",
"refreshToken": "57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx",
"originConnIds": "[\"605492ac41xxxxe0362f0707\"]"
},
"identityNumber": "420421xxxxxxxx1234",
"customData": { "school": "Peking University", "age": 22 },
"statusChangedAt": "2022-07-03T03:20:30.000Z"
}
}
}
}Data structure
GroupPagingDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| totalCount | number | Yes | Total number of records | |
| list | array | Yes | Response data Nested type: <a ResGroupDto. |
ResGroupDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| id | string | Yes | Group ID | 60b49eb83fd80adb96f26e68 |
| code | string | Yes | Group code | developer |
| name | string | Yes | Group name | Developer |
| description | string | Yes | Group description | Description content |
| type | string | Yes | Group type | static |
| metadataSource | array | Yes | Group metadata information | |
| members | array | Yes | Member list Nested type: <a UserDto. |
UserDto
| Name | Type | Required | Description | Sample value | | ------------------------ | ------- | -------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- | --- | -------------- | ------ | --- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----- | | userId | string | Yes | The unique identifier of the user, which can be user ID, user name, email address, mobile phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id. | 6229ffaxxxxxxxxcade3e3d9 | | createdAt | string | yes | creation time | 2022-07-03T03:20:30.000Z | | updatedAt | string | yes | update time | 2022-07-03T03:20:30.000Z | | status | string | yes | current status of the account:
- Activated: normal status
- Suspended: deactivated
- Deactivated: disabled
- Resigned: resigned
- Archived: archived
| Suspended | | workStatus | string | yes | current work status of the account | Closed | | externalId | string | no | third-party external ID | 10010 | | email | string | no | email address, case insensitive | test@example.com | | phone | string | No | Phone number without area code. If it is an international phone number, please specify the area code in the phoneCountryCode parameter. | 188xxxx8888 | | phoneCountryCode | string | No | Phone area code. It is optional for mainland China phone numbers. The GenAuth SMS service does not currently support international phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes. | +86 | | username | string | No | Username, unique in the user pool | bob | | name | string | No | User's real name, not unique | Zhang San | | nickname | string | No | Nickname | Zhang San | | photo | string | No | Avatar link | https://files.authing.co/authing-console/default-user-avatar.png | | loginsCount | number | No | Total number of historical logins | 3 | | lastLogin | string | No | Last login time | 2022-07-03T03:20:30.000Z | | lastIp | string | No | Last login IP | 127.0.0.1 | | gender | string | Yes | Gender:
- M: Male, male
- F: Female, female
- U: unknown, unknown
| M | | emailVerified | boolean | yes | Is the email verified | true | | phoneVerified | boolean | yes | Is the phone number verified? | true | | passwordLastSetAt | string | no | The time when the user last changed his password | 2022-07-03T03:20:30.000Z | | birthdate | string | no | Date of birth | 2022-06-03 | | country | string | no | Country | CN | | province | string | no | Province | BJ | | city | string | no | City | BJ | | address | string | no | Address | Beijing Chaoyang | | streetAddress | string | no | Street address | Beijing Chaoyang District xxx Street | | postalCode | string | no | Postal code | 438100 | | company | string | no | Company | steamory | | browser | string | No | The browser UA used when logging in last time | Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36VivoBrowser/10.2.10.0 | | device | string | no | The device used for the last login | iOS | | givenName | string | no | First name | xx | | familyName | string | no | Last name | xx | | middleName | string | no | Middle name | James | | profile | string | no | Preferred Username | alice | | preferredUsername | string | no | Preferred Username | alice | | website | string | no | User personal website | https://my-website.com | | zoneinfo | string | no | User time zone information | GMT-08:00 | | locale | string | no | Locale | af | | formatted | string | no | Full standard address | 132, My Street, Kingston, New York 12401. | | region | string | no | User region | Xinjiang Uyghur Autonomous Region | | userSourceType | string | yes | Source type:
- excel: Imported via excel
- register: User self-registration
- adminCreated: Manual creation by the administrator (including creating users using the management API)
- syncTask: Synchronization task of the synchronization center
| excel | | userSourceId | string | No | Application ID or synchronization task ID | | | lastLoginApp | string | No | Application ID of the user's last login | | | mainDepartmentId | string | No | User's main department ID | | | lastMfaTime | string | No | Time when the user last performed MFA authentication | | | passwordSecurityLevel | number | No | User password security strength level | 1 | | resetPasswordOnNextLogin | boolean | No | Require password reset on next login | | | registerSource | array | No | Registration method | | | departmentIds | array | No | User department ID list | ["624d930c3xxxx5c08dd4986e","624d93102xxxx012f33cd2fe"] | | identities | array | No | External identity source Nested type: <a IdentityDto. | | | identityNumber | string | No | User ID number | 420421xxxxxxxx1234 | | customData | object | No | User's extended field data | {"school":"Peking University","age":22} | | postIdList | array | No | Department Id associated with the user | | | statusChangedAt | string | No | User status last modified time | 2022-07-03T03:20:30.000Z | | tenantId | string | No | User tenant ID | |
IdentityDto
| Name | Type | Is it required | Description | Sample value | | ------------- | ------ | -------------------------------------- | -------------------------- ... ------------------------------------------- | | identityId | string | yes | Identity source ID | 62299d8b866d2dab79a89dc4 | | extIdpId | string | yes | Identity source connection ID | 6076bacxxxxxxxxd80d993b5 | | provider | string | yes | External identity source type:
- wechat: WeChat
- qq: QQ
- wechatwork: WeChat Work
- dingtalk: DingTalk
- weibo: Weibo
- github: GitHub
- alipay: Alipay
- baidu: Baidu
- lark: Feishu
- welink: Welink
- yidun: NetEase Yidun
- qingcloud: Qingyun
- google: Google
- gitlab: GitLab
- gitee: Gitee
- twitter: Twitter
- facebook: Facebook
- slack: Slack
- linkedin: Linkedin
- instagram: Instagram
- oidc: OIDC-type enterprise identity source
- oauth2: OAuth2-type enterprise identity source
- saml: SAML-type enterprise identity source
- ldap: LDAP-type enterprise identity source
- ad: AD-type enterprise identity source
- cas: CAS-type enterprise identity source
- azure-ad: Azure AD-type enterprise identity source
| oidc | | type | string | Yes | Identity type, such as unionid, openid, primary | openid | | userIdInIdp | string | Yes | ID in the external identity source | oj7Nq05R-RRaqak0_YlMLnnIwsvg | | userInfoInIdp | object | Yes | User's identity information in idp | | | accessToken | string | No | Access Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management side interface will not return it). | 57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx | | refreshToken | string | No | Refresh Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management side interface will not return it). | 57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx | | originConnIds | array | yes | List of identity origin connection IDs that the identity comes from| A["605492AS41XXXXXXXX0362F0707"]A |